import { AfterContentInit, AfterViewInit, ElementRef, NgZone, OnDestroy, QueryList } from '@angular/core';
import { BsScrollOffsetService } from '../services/scroll-offset/scroll-offset.service';
import { BsScrollspyDirective } from '../directives/scrollspy.directive';
import * as i0 from "@angular/core";
export declare class BsScrollspyComponent implements AfterViewInit, AfterContentInit, OnDestroy {
    private scrollOffsetService;
    private zone;
    constructor(scrollOffsetService: BsScrollOffsetService, document: any, zone: NgZone);
    private destroyed$;
    private viewInit$;
    private contentInit$;
    directives: QueryList<BsScrollspyDirective>;
    anchors: QueryList<ElementRef<HTMLSpanElement>>;
    doc: Document;
    activeDirective: BsScrollspyDirective | null;
    ngAfterViewInit(): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    onWindowScroll(): void;
    setActiveDirective(): void;
    scrollToCurrentInSpy(): void;
    scrollToHeader(directive: BsScrollspyDirective): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BsScrollspyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BsScrollspyComponent, "bs-scrollspy", never, {}, {}, ["directives"], ["*"], false, never>;
}
